Package wx :: Class DataObjectSimple

[frames | no frames]

## Type DataObjectSimple

    object --+
             |
    DataObject --+
                 |
                DataObjectSimple

Known Subclasses:
  `BitmapDataObject`, `CustomDataObject`, `FileDataObject`, `MetafileDataObject`, `PyDataObjectSimple`, `TextDataObject`

wx.DataObjectSimple is a `wx.DataObject` which only supports one format. This is the simplest possible `wx.DataObject` implementation.

This is still an "abstract base class" meaning that you can't use it directly. You either need to use one of the predefined base classes, or derive your own class from `wx.PyDataObjectSimple`.

Method Summary
DataObjectSimple | ``__init__`(self, format)` Constructor accepts the supported format (none by default) which may also be set later with `SetFormat`.
String | ``GetDataHere`(self)` Returns the data bytes from the data object as a string, returns None on failure.
size_t | ``GetDataSize`(self)` Get the size of our data.
DataFormat | ``GetFormat`(self)` Returns the (one and only one) format supported by this object.
bool | ``SetData`(self, data)` Copy the data value to the data object.
| ``SetFormat`(self, format)` Sets the supported format.

Property Summary
| `Format`: See `GetFormat` and `SetFormat`
| `thisown`: The membership flag

Class Variable Summary

Method Details

### __init__(self, format=FormatInvalid)
(Constructor)

Constructor accepts the supported format (none by default) which may also be set later with `SetFormat`.

  Parameters:
    `format`
    (type=DataFormat)

  Returns:
    DataObjectSimple
  Overrides:
    `wx.DataObject.__init__`

### GetDataHere(self)

Returns the data bytes from the data object as a string, returns None on failure. Must be implemented in the derived class if the object supports rendering its data.

  Returns:
    String
  Overrides:
    `wx.DataObject.GetDataHere`

### GetDataSize(self)

Get the size of our data.

  Returns:
    size_t
  Overrides:
    `wx.DataObject.GetDataSize`

### GetFormat(self)

Returns the (one and only one) format supported by this object. It is assumed that the format is supported in both directions.

  Returns:
    DataFormat

### SetData(self, data)

Copy the data value to the data object. Must be implemented in the derived class if the object supports setting its data.

  Parameters:
    `data`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.DataObject.SetData`

### SetFormat(self, format)

Sets the supported format.

  Parameters:
    `format`
    (type=DataFormat)

Property Details

### Format

See `GetFormat` and `SetFormat`

  Get Method:
    `GetFormat`(self)
  Set Method:
    `SetFormat`(self, format)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:39 2007 | http://epydoc.sf.net